diff -Nurd kdenetwork-3.5.10/dcoprss/Makefile.am kdenetwork-3.5.10-new/dcoprss/Makefile.am
--- kdenetwork-3.5.10/dcoprss/Makefile.am	2005-09-10 04:20:47.000000000 -0400
+++ kdenetwork-3.5.10-new/dcoprss/Makefile.am	2010-07-27 09:51:04.000000000 -0400
@@ -2,17 +2,17 @@
 INCLUDES = -I$(top_srcdir) $(all_includes)
 
 rssservice_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-rssservice_LDADD = $(LIB_KIO) ../librss/librss.la
+rssservice_LDADD = $(LIB_KIO) ../librss/librss.la -lDCOP
 rssservice_SOURCES = main.cpp service.cpp query.cpp document.cpp article.cpp query.skel service.skel xmlrpciface.cpp cache.cpp
 
 
 # client stuff
 rssclient_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-rssclient_LDADD   = $(LIB_KDECORE)
+rssclient_LDADD   = $(LIB_KDECORE) $(LIB_QT)
 rssclient_SOURCES = client.cpp
 
 feedbrowser_LDFLAGS = $(KDE_RPATH) $(all_libraries)
-feedbrowser_LDADD = $(LIB_KDEUI)
+feedbrowser_LDADD = $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 feedbrowser_SOURCES = feedbrowser.skel feedbrowser.cpp
 
 noinst_HEADERS = service.h query.h xmlrpciface.h cache.h
diff -Nurd kdenetwork-3.5.10/filesharing/advanced/kcm_sambaconf/Makefile.am kdenetwork-3.5.10-new/filesharing/advanced/kcm_sambaconf/Makefile.am
--- kdenetwork-3.5.10/filesharing/advanced/kcm_sambaconf/Makefile.am	2007-01-15 06:23:54.000000000 -0500
+++ kdenetwork-3.5.10-new/filesharing/advanced/kcm_sambaconf/Makefile.am	2010-07-27 09:45:51.000000000 -0400
@@ -41,6 +41,7 @@
     smbconfconfigwidget.cpp \
     linuxpermissionchecker.cpp \
     expertuserdlg.ui
+libfilesharesamba_la_LIBADD = $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI) $(LIB_KIO)
 
 
 xdg_apps_DATA = kcmsambaconf.desktop
diff -Nurd kdenetwork-3.5.10/kdict/Makefile.am kdenetwork-3.5.10-new/kdict/Makefile.am
--- kdenetwork-3.5.10/kdict/Makefile.am	2005-09-10 04:20:32.000000000 -0400
+++ kdenetwork-3.5.10-new/kdict/Makefile.am	2010-07-27 08:08:50.000000000 -0400
@@ -12,7 +12,7 @@
 AM_CPPFLAGS         = $(all_includes)
 
 kdict_la_LDFLAGS = $(KDE_RPATH) $(all_libraries) -module $(KDE_PLUGIN)
-kdict_la_LIBADD  = $(LIB_KFILE) $(LIB_KHTML) $(LIBPTHREAD) $(LIBRESOLV)
+kdict_la_LIBADD  = $(LIB_KFILE) $(LIB_KHTML) $(LIBPTHREAD) $(LIBRESOLV) $(LIB_QT) $(LIB_KDEUI) $(LIB_KPARTS) -lDCOP $(LIB_KDECORE)
 kdict_la_SOURCES = dcopinterface.skel main.cpp actions.cpp dict.cpp options.cpp \
                    queryview.cpp toplevel.cpp sets.cpp matchview.cpp application.cpp
 
diff -Nurd kdenetwork-3.5.10/kdict/applet/Makefile.am kdenetwork-3.5.10-new/kdict/applet/Makefile.am
--- kdenetwork-3.5.10/kdict/applet/Makefile.am	2005-09-10 04:20:32.000000000 -0400
+++ kdenetwork-3.5.10-new/kdict/applet/Makefile.am	2010-07-27 09:14:11.000000000 -0400
@@ -13,7 +13,7 @@
 EXTRA_DIST = $(lnk_DATA)
 
 kdict_panelapplet_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
-kdict_panelapplet_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI)
+kdict_panelapplet_la_LIBADD = $(LIB_KSYCOCA) $(LIB_KDEUI) $(LIB_QT) $(LIB_KDECORE) -lDCOP
 
 messages: rc.cpp
 	$(XGETTEXT) *.cpp *.h -o $(podir)/kdictapplet.pot
diff -Nurd kdenetwork-3.5.10/kdnssd/ioslave/Makefile.am kdenetwork-3.5.10-new/kdnssd/ioslave/Makefile.am
--- kdenetwork-3.5.10/kdnssd/ioslave/Makefile.am	2005-09-10 04:20:14.000000000 -0400
+++ kdenetwork-3.5.10-new/kdnssd/ioslave/Makefile.am	2010-07-27 09:13:30.000000000 -0400
@@ -3,7 +3,7 @@
 kde_module_LTLIBRARIES = kio_zeroconf.la
 
 kio_zeroconf_la_SOURCES = dnssd.cpp
-kio_zeroconf_la_LIBADD = $(LIB_KDNSSD) $(LIB_KIO)
+kio_zeroconf_la_LIBADD = $(LIB_KDNSSD) $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_zeroconf_la_LDFLAGS = -avoid-version -module $(all_libraries) $(KDE_PLUGIN)
 
 protocol_DATA = zeroconf.protocol invitation.protocol
diff -Nurd kdenetwork-3.5.10/kfile-plugins/torrent/Makefile.am kdenetwork-3.5.10-new/kfile-plugins/torrent/Makefile.am
--- kdenetwork-3.5.10/kfile-plugins/torrent/Makefile.am	2005-09-10 04:20:35.000000000 -0400
+++ kdenetwork-3.5.10-new/kfile-plugins/torrent/Makefile.am	2010-07-27 09:13:00.000000000 -0400
@@ -10,7 +10,7 @@
 
 kfile_torrent_la_SOURCES = bytetape.cpp bint.cpp bstring.cpp blist.cpp bdict.cpp kfile_torrent.cpp
 kfile_torrent_la_LDFLAGS = $(all_libraries) -module $(KDE_PLUGIN)
-kfile_torrent_la_LIBADD = $(LIB_KIO)
+kfile_torrent_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 
 # let automoc handle all of the meta source files (moc)
 METASOURCES = AUTO
diff -Nurd kdenetwork-3.5.10/kget/Makefile.am kdenetwork-3.5.10-new/kget/Makefile.am
--- kdenetwork-3.5.10/kget/Makefile.am	2005-11-08 17:28:02.000000000 -0500
+++ kdenetwork-3.5.10-new/kget/Makefile.am	2010-07-27 09:10:55.000000000 -0400
@@ -5,7 +5,7 @@
 bin_PROGRAMS = kget
 
 kget_LDFLAGS = $(all_libraries) $(KDE_RPATH)
-kget_LDADD   = $(LIB_KFILE) $(LIB_KDEUI) $(LIB_KDECORE) $(LIBSOCKET)
+kget_LDADD   = $(LIB_KFILE) $(LIB_KDEUI) $(LIB_KDECORE) $(LIBSOCKET) $(LIB_QT) -lDCOP
 kget_SOURCES = getfilejob.cpp slaveevent.cpp slave.cpp transferlist.cpp \
                transfer.cpp settings.cpp logwindow.cpp \
                kmainwidget.cpp kfileio.cpp droptarget.cpp docking.cpp \
diff -Nurd kdenetwork-3.5.10/kget/kget_plug_in/Makefile.am kdenetwork-3.5.10-new/kget/kget_plug_in/Makefile.am
--- kdenetwork-3.5.10/kget/kget_plug_in/Makefile.am	2005-09-10 04:20:30.000000000 -0400
+++ kdenetwork-3.5.10-new/kget/kget_plug_in/Makefile.am	2010-07-27 09:12:24.000000000 -0400
@@ -4,7 +4,7 @@
 
 khtml_kget_la_METASOURCES = AUTO
 khtml_kget_la_SOURCES = kget_plug_in.cpp kget_linkview.cpp links.cpp
-khtml_kget_la_LIBADD =  $(LIB_KHTML)
+khtml_kget_la_LIBADD =  $(LIB_KHTML) $(LIB_QT) $(LIB_KDEUI) -lDCOP $(LIB_KPARTS) $(LIB_KDECORE) $(LIB_KIO)
 khtml_kget_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
 KDE_ICON = AUTO
diff -Nurd kdenetwork-3.5.10/knewsticker/common/Makefile.am kdenetwork-3.5.10-new/knewsticker/common/Makefile.am
--- kdenetwork-3.5.10/knewsticker/common/Makefile.am	2005-09-10 04:20:30.000000000 -0400
+++ kdenetwork-3.5.10-new/knewsticker/common/Makefile.am	2010-07-27 09:49:06.000000000 -0400
@@ -9,5 +9,5 @@
 
 libknewstickercommon_la_SOURCES = newsiconmgr.cpp xmlnewsaccess.cpp \
   configaccess.cpp newsiconmgr.skel newsengine.cpp
-libknewstickercommon_la_LIBADD = $(LIB_KIO) $(LIB_KDECORE)
+libknewstickercommon_la_LIBADD = $(LIB_KIO) $(LIB_KDECORE) $(LIB_QT) -lDCOP $(LIB_KDEUI)
 libknewstickercommon_la_LDFLAGS = $(all_libraries) -no-undefined
diff -Nurd kdenetwork-3.5.10/kopete/kopete/Makefile.am kdenetwork-3.5.10-new/kopete/kopete/Makefile.am
--- kdenetwork-3.5.10/kopete/kopete/Makefile.am	2007-01-15 06:23:52.000000000 -0500
+++ kdenetwork-3.5.10-new/kopete/kopete/Makefile.am	2010-07-27 08:44:55.000000000 -0400
@@ -40,7 +40,7 @@
 	contactlist/libkopetecontactlist.la \
 	config/plugins/libkopetepluginconfig.la \
 	../libkopete/libkopete.la \
-	../libkopete/ui/libkopeteui.la
+	../libkopete/ui/libkopeteui.la -lkdefx
 
 mydatadir    = $(kde_datadir)/kopete
 mydata_DATA  = kopeteui.rc eventsrc
diff -Nurd kdenetwork-3.5.10/kopete/kopete/chatwindow/Makefile.am kdenetwork-3.5.10-new/kopete/kopete/chatwindow/Makefile.am
--- kdenetwork-3.5.10/kopete/kopete/chatwindow/Makefile.am	2006-10-01 13:27:06.000000000 -0400
+++ kdenetwork-3.5.10-new/kopete/kopete/chatwindow/Makefile.am	2010-07-27 09:42:02.000000000 -0400
@@ -20,7 +20,7 @@
 	chattexteditpart.cpp krichtexteditpart.cpp kopetechatwindowstylemanager.cpp \
 	kopetechatwindowstyle.cpp 
 libkopetechatwindow_la_LDFLAGS = $(all_libraries) -no-undefined
-libkopetechatwindow_la_LIBADD = ../../libkopete/libkopete.la $(LIB_KOPETECOMPAT) $(LIB_KDEUI)
+libkopetechatwindow_la_LIBADD = ../../libkopete/libkopete.la $(LIB_KOPETECOMPAT) $(LIB_KDEUI) $(LIB_KPARTS)
 
 partdir = $(kde_datadir)/kopeterichtexteditpart
 part_DATA = kopeterichtexteditpartfull.rc
diff -Nurd kdenetwork-3.5.10/kopete/libkopete/Makefile.am kdenetwork-3.5.10-new/kopete/libkopete/Makefile.am
--- kdenetwork-3.5.10/kopete/libkopete/Makefile.am	2007-10-08 05:49:08.000000000 -0400
+++ kdenetwork-3.5.10-new/kopete/libkopete/Makefile.am	2010-07-27 07:52:06.000000000 -0400
@@ -35,7 +35,7 @@
 	kopeteprefs.cpp kopetepicture.cpp webcamwidget.cpp
 
 libkopete_la_LDFLAGS = -no-undefined -version-info 1:0:0 $(all_libraries)
-libkopete_la_LIBADD = -lkabc ui/libkopeteui.la $(COMPAT_LIBS) $(LIB_KIO) $(LIB_XSS) $(LIB_XRENDER)
+libkopete_la_LIBADD = -lkabc ui/libkopeteui.la $(COMPAT_LIBS) $(LIB_KIO) $(LIB_XSS) $(LIB_XRENDER) $(LIB_QT) $(LIB_KDECORE) -lDCOP $(LIB_KUTILS) -lkwalletclient
 
 kde_kcfg_DATA = kopete.kcfg
 
diff -Nurd kdenetwork-3.5.10/kopete/libkopete/avdevice/videocontrol.h kdenetwork-3.5.10-new/kopete/libkopete/avdevice/videocontrol.h
--- kdenetwork-3.5.10/kopete/libkopete/avdevice/videocontrol.h	2007-10-08 05:49:07.000000000 -0400
+++ kdenetwork-3.5.10-new/kopete/libkopete/avdevice/videocontrol.h	2010-07-27 07:48:20.000000000 -0400
@@ -20,15 +20,15 @@
 #ifndef KOPETE_AVVIDEOCONTROL_H
 #define KOPETE_AVVIDEOCONTROL_H
 
-#include <asm/types.h>
-#undef __STRICT_ANSI__
-#ifndef __u64 //required by videodev.h
-#define __u64 unsigned long long
-#endif // __u64
+#include <stdint.h>
+#include <sys/types.h>
 
-#ifndef __s64 //required by videodev.h
-#define __s64 long long
-#endif // __s64
+typedef u_int32_t __u32;
+typedef int32_t __s32;
+/*
+typedef u_int64_t __u64;
+typedef int64_t __s64;
+*/
 
 #include <qstring.h>
 #include <kdebug.h>
diff -Nurd kdenetwork-3.5.10/kopete/plugins/highlight/Makefile.am kdenetwork-3.5.10-new/kopete/plugins/highlight/Makefile.am
--- kdenetwork-3.5.10/kopete/plugins/highlight/Makefile.am	2005-09-10 04:20:16.000000000 -0400
+++ kdenetwork-3.5.10-new/kopete/plugins/highlight/Makefile.am	2010-07-27 09:03:31.000000000 -0400
@@ -12,7 +12,7 @@
 
 kcm_kopete_highlight_la_SOURCES = highlightprefsbase.ui highlightpreferences.cpp filter.cpp highlightconfig.cpp
 kcm_kopete_highlight_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries)
-kcm_kopete_highlight_la_LIBADD  = $(LIB_KOPETECOMPAT) $(LIB_KUTILS)
+kcm_kopete_highlight_la_LIBADD  = $(LIB_KOPETECOMPAT) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE) $(LIB_KIO)
 
 service_DATA = kopete_highlight.desktop
 servicedir = $(kde_servicesdir)
diff -Nurd kdenetwork-3.5.10/kopete/plugins/latex/Makefile.am kdenetwork-3.5.10-new/kopete/plugins/latex/Makefile.am
--- kdenetwork-3.5.10/kopete/plugins/latex/Makefile.am	2005-09-10 04:20:16.000000000 -0400
+++ kdenetwork-3.5.10-new/kopete/plugins/latex/Makefile.am	2010-07-27 08:57:04.000000000 -0400
@@ -12,7 +12,7 @@
 
 kcm_kopete_latex_la_SOURCES = latexprefsbase.ui latexpreferences.cpp latexconfig.kcfgc
 kcm_kopete_latex_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries)
-kcm_kopete_latex_la_LIBADD  = $(LIB_KOPETECOMPAT) $(LIB_KUTILS)
+kcm_kopete_latex_la_LIBADD  = $(LIB_KOPETECOMPAT) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 service_DATA = kopete_latex.desktop
 servicedir = $(kde_servicesdir)
diff -Nurd kdenetwork-3.5.10/kopete/plugins/netmeeting/Makefile.am kdenetwork-3.5.10-new/kopete/plugins/netmeeting/Makefile.am
--- kdenetwork-3.5.10/kopete/plugins/netmeeting/Makefile.am	2005-09-10 04:20:16.000000000 -0400
+++ kdenetwork-3.5.10-new/kopete/plugins/netmeeting/Makefile.am	2010-07-27 09:10:14.000000000 -0400
@@ -16,7 +16,7 @@
 
 kcm_kopete_netmeeting_la_SOURCES = netmeetingprefs_ui.ui netmeetingpreferences.cpp
 kcm_kopete_netmeeting_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries)
-kcm_kopete_netmeeting_la_LIBADD  = $(LIB_KOPETECOMPAT) $(LIB_KUTILS)
+kcm_kopete_netmeeting_la_LIBADD  = $(LIB_KOPETECOMPAT) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE)
 
 
 kcm_DATA = kopete_netmeeting_config.desktop
diff -Nurd kdenetwork-3.5.10/kopete/plugins/nowlistening/Makefile.am kdenetwork-3.5.10-new/kopete/plugins/nowlistening/Makefile.am
--- kdenetwork-3.5.10/kopete/plugins/nowlistening/Makefile.am	2005-09-10 04:20:14.000000000 -0400
+++ kdenetwork-3.5.10-new/kopete/plugins/nowlistening/Makefile.am	2010-07-27 08:59:09.000000000 -0400
@@ -10,7 +10,7 @@
 
 kcm_kopete_nowlistening_la_SOURCES = nowlisteningprefs.ui nowlisteningpreferences.cpp nowlisteningconfig.kcfgc
 kcm_kopete_nowlistening_la_LDFLAGS = -module -no-undefined $(KDE_PLUGIN) $(all_libraries)
-kcm_kopete_nowlistening_la_LIBADD  = $(LIB_KOPETECOMPAT) $(LIB_KUTILS)
+kcm_kopete_nowlistening_la_LIBADD  = $(LIB_KOPETECOMPAT) $(LIB_KUTILS) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE)
 
 service_DATA = kopete_nowlistening.desktop
 servicedir = $(kde_servicesdir)
diff -Nurd kdenetwork-3.5.10/kopete/protocols/jabber/kioslave/Makefile.am kdenetwork-3.5.10-new/kopete/protocols/jabber/kioslave/Makefile.am
--- kdenetwork-3.5.10/kopete/protocols/jabber/kioslave/Makefile.am	2005-09-10 04:20:22.000000000 -0400
+++ kdenetwork-3.5.10-new/kopete/protocols/jabber/kioslave/Makefile.am	2010-07-27 08:54:37.000000000 -0400
@@ -13,7 +13,7 @@
 kde_module_LTLIBRARIES = kio_jabberdisco.la
 
 kio_jabberdisco_la_SOURCES = jabberdisco.cpp
-kio_jabberdisco_la_LIBADD = ../libjabberclient.la ../libiris/qca/src/libqca.la ../libiris/iris/include/libiris.la ../libiris/iris/xmpp-im/libiris_xmpp_im.la ../libiris/iris/xmpp-core/libiris_xmpp_core.la ../libiris/iris/jabber/libiris_jabber.la ../libiris/cutestuff/util/libcutestuff_util.la ../libiris/cutestuff/network/libcutestuff_network.la $(LIB_KIO)
+kio_jabberdisco_la_LIBADD = ../libjabberclient.la ../libiris/qca/src/libqca.la ../libiris/iris/include/libiris.la ../libiris/iris/xmpp-im/libiris_xmpp_im.la ../libiris/iris/xmpp-core/libiris_xmpp_core.la ../libiris/iris/jabber/libiris_jabber.la ../libiris/cutestuff/util/libcutestuff_util.la ../libiris/cutestuff/network/libcutestuff_network.la $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_jabberdisco_la_LDFLAGS = -no-undefined -module $(KDE_PLUGIN) $(all_libraries)
 
 noinst_HEADERS = jabberdisco.h
diff -Nurd kdenetwork-3.5.10/kpf/src/Makefile.am kdenetwork-3.5.10-new/kpf/src/Makefile.am
--- kdenetwork-3.5.10/kpf/src/Makefile.am	2005-09-10 04:20:12.000000000 -0400
+++ kdenetwork-3.5.10-new/kpf/src/Makefile.am	2010-07-27 08:43:56.000000000 -0400
@@ -39,7 +39,7 @@
 
 kpf_panelapplet_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
-kpf_panelapplet_la_LIBADD = $(LIB_KIO) -lkdnssd
+kpf_panelapplet_la_LIBADD = $(LIB_KIO) -lkdnssd $(LIB_QT) $(LIB_KDEUI) -lDCOP $(LIB_KDECORE)
 
 kpfpropertiesdialog_la_SOURCES = \
   PropertiesDialogPlugin.cpp \
@@ -49,7 +49,7 @@
   Defaults.cpp \
   Help.cpp
 
-kpfpropertiesdialog_la_LIBADD = $(LIB_KIO) -lkdnssd
+kpfpropertiesdialog_la_LIBADD = $(LIB_KIO) -lkdnssd $(LIB_QT) -lDCOP $(LIB_KDEUI) $(LIB_KDECORE)
 
 kpfpropertiesdialog_la_LDFLAGS = $(all_libraries) $(KDE_PLUGIN) -module
 
diff -Nurd kdenetwork-3.5.10/krdc/Makefile.am kdenetwork-3.5.10-new/krdc/Makefile.am
--- kdenetwork-3.5.10/krdc/Makefile.am	2005-09-10 04:20:13.000000000 -0400
+++ kdenetwork-3.5.10-new/krdc/Makefile.am	2010-07-27 08:41:58.000000000 -0400
@@ -23,7 +23,7 @@
 dnssddatadir = $(kde_datadir)/zeroconf
 dnssddata_DATA = _rfb._tcp
 
-krdc_LDADD   = vnc/libvnc.la rdp/librdp.la $(LIB_KDEUI) $(LIBXF86VIDMODE) $(LIB_SLP) $(LIB_KDNSSD) $(X_LDFLAGS) $(LIB_X11) -lkwalletclient
+krdc_LDADD   = vnc/libvnc.la rdp/librdp.la $(LIB_KDEUI) $(LIBXF86VIDMODE) $(LIB_SLP) $(LIB_KDNSSD) $(X_LDFLAGS) $(LIB_X11) -lkwalletclient $(LIB_QT) $(LIB_KDECORE) -lDCOP
 krdc_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 xdg_apps_DATA = krdc.desktop
diff -Nurd kdenetwork-3.5.10/krfb/krfb/Makefile.am kdenetwork-3.5.10-new/krfb/krfb/Makefile.am
--- kdenetwork-3.5.10/krfb/krfb/Makefile.am	2005-09-10 04:20:13.000000000 -0400
+++ kdenetwork-3.5.10-new/krfb/krfb/Makefile.am	2010-07-27 08:40:05.000000000 -0400
@@ -6,13 +6,13 @@
 libkrfbconfig_la_SOURCES = configuration.cc configuration.skel invitedialog.cc invitation.cc \
                            manageinvitations.ui personalinvitewidget.ui \
                            invitewidget.ui personalinvitedialog.cc
-libkrfbconfig_la_LIBADD = ../srvloc/libsrvloc.la $(LIB_KDEUI)
+libkrfbconfig_la_LIBADD = ../srvloc/libsrvloc.la $(LIB_KDEUI) -lDCOP
 
 bin_PROGRAMS = krfb
 krfb_SOURCES = rfbcontroller.cc xupdatescanner.cc main.cpp \
                connectionwidget.ui krfbifaceimpl.cc krfbiface.skel \
                trayicon.cpp connectiondialog.cc
-krfb_LDADD   = libkrfbconfig.la ../libvncserver/libvncserver.la ../srvloc/libsrvloc.la -lXtst $(LIB_KDEUI) $(LIBJPEG) -lkio 
+krfb_LDADD   = libkrfbconfig.la ../libvncserver/libvncserver.la ../srvloc/libsrvloc.la -lXtst $(LIB_KDEUI) $(LIBJPEG) -lkio -lkdefx
 krfb_LDFLAGS = $(all_libraries) $(KDE_RPATH)
 
 appdatadir = $(kde_datadir)/krfb/pics
diff -Nurd kdenetwork-3.5.10/krfb/libvncserver/rfb.h kdenetwork-3.5.10-new/krfb/libvncserver/rfb.h
--- kdenetwork-3.5.10/krfb/libvncserver/rfb.h	2008-08-19 14:13:37.000000000 -0400
+++ kdenetwork-3.5.10-new/krfb/libvncserver/rfb.h	2010-07-27 07:48:20.000000000 -0400
@@ -43,11 +43,24 @@
 
 #ifdef LONG64
 typedef unsigned long CARD64;
+#if defined (_LP64) || \
+    defined(__alpha) || defined(__alpha__) || \
+    defined(__ia64__) || defined(ia64) || \
+    defined(__sparc64__) || \
+    defined(__s390x__) || \
+    (defined(__hppa__) && defined(__LP64__)) || \
+    defined(__amd64__) || defined(amd64) || \
+    defined(__powerpc64__) || \
+    (defined(sgi) && (_MIPS_SZLONG == 64))
 typedef unsigned int CARD32;
 #else
 typedef unsigned long CARD32;
 #endif
 
+#else
+typedef unsigned long CARD32;
+#endif
+
 typedef CARD32 Pixel;
 /* typedef CARD32 KeySym; */
 #ifndef __osf__
diff -Nurd kdenetwork-3.5.10/ksirc/Makefile.am kdenetwork-3.5.10-new/ksirc/Makefile.am
--- kdenetwork-3.5.10/ksirc/Makefile.am	2006-10-01 13:27:16.000000000 -0400
+++ kdenetwork-3.5.10-new/ksirc/Makefile.am	2010-07-27 08:07:45.000000000 -0400
@@ -81,7 +81,7 @@
 
 # the libraries to link against. Be aware of the order. First the libraries,
 # that depend on the following ones.
-ksirc_la_LIBADD   = $(all_ksirc_libraries)
+ksirc_la_LIBADD   = $(all_ksirc_libraries) $(LIB_QT) $(LIB_KDEUI) $(LIB_KDECORE)
 
 kdoc:
 	kdoc -ddoc ksirc *.h
diff -Nurd kdenetwork-3.5.10/ktalkd/ktalkd/talkd.cpp kdenetwork-3.5.10-new/ktalkd/ktalkd/talkd.cpp
--- kdenetwork-3.5.10/ktalkd/ktalkd/talkd.cpp	2006-03-17 05:12:34.000000000 -0500
+++ kdenetwork-3.5.10-new/ktalkd/ktalkd/talkd.cpp	2010-07-27 07:48:20.000000000 -0400
@@ -183,7 +183,7 @@
 	struct hostent *hp;
 	struct sockaddr_in sn;
 	int cc, i, ok;
-	socklen_t addrlen;
+	kde_socklen_t addrlen;
 	int ret_value = PROC_REQ_OK; /* return value from process_request */
 
 	addrlen = sizeof(sn);
@@ -347,7 +347,7 @@
 main(int argc, char *argv[])
 {
 	struct sockaddr_in sn;
-	socklen_t sz = sizeof(sn);
+	kde_socklen_t sz = sizeof(sn);
 	int do_debug=0, do_badpackets=0, ch;
 
 	new KInstance("ktalkd"); // for KConfig and friends
diff -Nurd kdenetwork-3.5.10/lanbrowsing/kcmlisa/Makefile.am kdenetwork-3.5.10-new/lanbrowsing/kcmlisa/Makefile.am
--- kdenetwork-3.5.10/lanbrowsing/kcmlisa/Makefile.am	2005-09-10 04:20:14.000000000 -0400
+++ kdenetwork-3.5.10-new/lanbrowsing/kcmlisa/Makefile.am	2010-07-27 08:16:51.000000000 -0400
@@ -3,7 +3,7 @@
 kcm_lanbrowser_la_SOURCES = main.cpp setupwizard.cpp kcmlisa.cpp kcmreslisa.cpp kcmkiolan.cpp portsettingsbar.cpp findnic.cpp
 
 kcm_lanbrowser_la_LDFLAGS  = $(all_libraries) $(KDE_PLUGIN) -module
-kcm_lanbrowser_la_LIBADD = -lkdeui
+kcm_lanbrowser_la_LIBADD = -lkdeui $(LIB_QT) $(LIB_KDECORE)
 
 INCLUDES= $(all_includes)
 
diff -Nurd kdenetwork-3.5.10/lanbrowsing/kio_lan/Makefile.am kdenetwork-3.5.10-new/lanbrowsing/kio_lan/Makefile.am
--- kdenetwork-3.5.10/lanbrowsing/kio_lan/Makefile.am	2005-09-10 04:20:14.000000000 -0400
+++ kdenetwork-3.5.10-new/lanbrowsing/kio_lan/Makefile.am	2010-07-27 08:17:17.000000000 -0400
@@ -7,7 +7,7 @@
 kde_module_LTLIBRARIES = kio_lan.la
 
 kio_lan_la_SOURCES = kio_lan.cpp
-kio_lan_la_LIBADD = $(LIB_KIO)
+kio_lan_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE)
 kio_lan_la_LDFLAGS = -module -avoid-version -no-undefined $(all_libraries) $(KDE_RPATH)
 
 noinst_HEADERS = kio_lan.h
diff -Nurd kdenetwork-3.5.10/lanbrowsing/lisa/netmanager.cpp kdenetwork-3.5.10-new/lanbrowsing/lisa/netmanager.cpp
--- kdenetwork-3.5.10/lanbrowsing/lisa/netmanager.cpp	2005-09-10 04:20:14.000000000 -0400
+++ kdenetwork-3.5.10-new/lanbrowsing/lisa/netmanager.cpp	2010-07-27 07:48:20.000000000 -0400
@@ -413,7 +413,7 @@
          {
             mdcerr<<"NetManager::run: on m_listenFD"<<std::endl;
             struct sockaddr_in clientAddress;
-            socklen_t clilen(sizeof(clientAddress));
+            kde_socklen_t clilen(sizeof(clientAddress));
 //            bzero((char*)&clientAddress, clilen);
             memset((void*)&clientAddress,0,sizeof(clientAddress));
             int connectionFD=::accept(m_listenFD,(struct sockaddr *) &clientAddress, &clilen);
@@ -501,7 +501,7 @@
    
    mdcerr<<"NetManager::answerBroadcast: received BC"<<std::endl;
    struct sockaddr_in sAddr;
-   socklen_t length(sizeof(sockaddr_in));
+   kde_socklen_t length(sizeof(sockaddr_in));
    char buf[1024];
    int result=recvfrom(m_bcFD, (char*)buf, 1024, 0, (sockaddr*)&sAddr,&length);
    mdcerr<<"NetManager::answerBroadcast: received successfully"<<std::endl;
@@ -936,7 +936,7 @@
    sAddr.sin_addr.s_addr=m_broadcastAddress;
    sAddr.sin_family=AF_INET;
    sAddr.sin_port=htons(m_basePort);
-   socklen_t length(sizeof(sockaddr_in));
+   kde_socklen_t length(sizeof(sockaddr_in));
    mdcerr<<" NetManager::findServerServer: broadcasting to: "
    <<std::ios::hex<<m_broadcastAddress<<std::ios::dec<<std::endl;
    
diff -Nurd kdenetwork-3.5.10/lanbrowsing/lisa/netscanner.cpp kdenetwork-3.5.10-new/lanbrowsing/lisa/netscanner.cpp
--- kdenetwork-3.5.10/lanbrowsing/lisa/netscanner.cpp	2006-07-22 04:11:31.000000000 -0400
+++ kdenetwork-3.5.10-new/lanbrowsing/lisa/netscanner.cpp	2010-07-27 07:48:20.000000000 -0400
@@ -550,7 +550,7 @@
          select(0,0,0,0,&tv1);
          //now read the answers, hopefully
          struct sockaddr_in fromAddr;
-         socklen_t length(sizeof(fromAddr));
+         kde_socklen_t length(sizeof(fromAddr));
          int received(0);
 
          fd_set sockFDset;
diff -Nurd kdenetwork-3.5.10/librss/Makefile.am kdenetwork-3.5.10-new/librss/Makefile.am
--- kdenetwork-3.5.10/librss/Makefile.am	2005-09-10 04:20:32.000000000 -0400
+++ kdenetwork-3.5.10-new/librss/Makefile.am	2010-07-27 08:10:06.000000000 -0400
@@ -5,7 +5,7 @@
 librss_la_SOURCES = article.cpp document.cpp image.cpp textinput.cpp \
   tools_p.cpp loader.cpp
 librss_la_LDFLAGS = -no-undefined -version-info 1:0 $(all_libraries)
-librss_la_LIBADD = $(LIB_KIO)
+librss_la_LIBADD = $(LIB_KIO) $(LIB_QT) $(LIB_KDECORE) $(LIB_KDEUI)
 
 librssincludedir = $(includedir)/rss
 librssinclude_HEADERS = article.h document.h global.h image.h textinput.h \
